#include <list>
#include "ModelOBJ.h"
#include <string>
#include <iostream>
#ifndef MODEL_H
#define MODEL_H

using std::string;
class Model{
public:
    Model(string modelFileName);
    Model(const Model &model);
    Model();
    void loadModel();
    ModelOBJ objLoader; //Object to import a scene
private:
    string modelName;
    unsigned int numVertices;
    unsigned int numPrimitives;
    unsigned int numMaterials;
    unsigned int numMeshes;
    unsigned int numNormals;
    float numAveragesX;
    float middlesX;
    float standarDX;
    float numAveragesY;
    float middlesY;
    float standarDY;
    float numAveragesZ;
    float middlesZ;
    float standarDZ;
    float numAverages;
    float middles;
    float standarD;
};
#endif MODEL_H